Bug 57477 - unable to activate eth0 w/ dhcp if the network driver isn't module
unable to activate eth0 w/ dhcp if the network driver isn't module
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2001-12-13 12:16 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-28 13:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-13 12:16:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
When upgrading to the stock 2.4.16 kernel, I compiled my network driver
(vortex, used w/ a 3Com 905c) into the kernel. However, the network
interface wouldn't activate at boot, and when I ran `ifup eth0` as root I
got an error message that it was unable to send a "dump" message and the
interface never comes up. If I configure the driver as a module, this
problem goes away.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Compile the network driver into the kernel.
2.boot from the new kernel
3.run `ifup eth0` as root

Additional info:
Comment 1 Elliot Lee 2001-12-13 12:23:13 EST
Please first verify that the problem does not occur when the interface is configured manually (BOOTPROTO=none).

It's my guess that this has nothing to do with DHCP.

Note You need to log in before you can comment on or make changes to this bug.